org.apache.tomcat.jdbc.pool.interceptor

## Class StatementFinalizer.StatementEntry

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.StatementFinalizer.StatementEntry

- Enclosing class:
    StatementFinalizer

      protected class StatementFinalizer.StatementEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatementFinalizer.StatementEntry(Statement statement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getAllocationStack()`
    `Statement` | `getStatement()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatementFinalizer.StatementEntry

          public StatementFinalizer.StatementEntry(Statement statement)

  - ### Method Detail

    - #### getStatement

          public Statement getStatement()

    - #### getAllocationStack

          public Throwable getAllocationStack()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.